Name:          boilerpipe
Version:       1.2.0
Release:       %mkrel 3
Summary:       Boilerplate Removal and Fulltext Extraction from HTML pages
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/boilerpipe/
Source0:       http://boilerpipe.googlecode.com/files/boilerpipe-1.2.0-src.tar.gz
Source1:       http://boilerpipe.googlecode.com/svn/repo/de/l3s/boilerpipe/boilerpipe/1.2.0/boilerpipe-1.2.0.pom
Patch0:        boilerpipe-1.2.0-libdir-patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: nekohtml
BuildRequires: xerces-j2

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The boilerpipe library provides algorithms to detect and
remove the surplus "clutter" (boilerplate, templates)
around the main textual content of a web page.

The library already provides specific strategies 
for common tasks (for example: news article extraction) and
may also be easily extended for individual problem settings.

Extracting content is very fast (milliseconds), just needs the
input document (no global or site-level information required) and
is usually quite accurate. 

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n boilerpipe-%{version}

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

%patch0 -p0

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done


%build
ant  
%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 dist/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/
install -m 644 dist/%{name}-demo-%{version}.jar \
  %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp javadoc/*/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-demo-%{version}.jar
%{_javadir}/%{name}-demo.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 346939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 1.2.0-2.mga3
+ Revision: 340580
- Fix file encoding

* Sun Nov 06 2011 gil <gil> 1.2.0-1.mga2
+ Revision: 164294
- imported package boilerpipe

